#%RAML 1.0 Library
type: object
displayName: Validade no Programa
description: Formulário usado para que o gestor do programa possa definir, por regras próprias, se uma amostra é ou não válida no programa.
properties: 
    numeroAmostra:
        type: string
        description: Número da Amostra.
        required: true
    idPrograma:
        type: integer
        description: id do programa.
        required: true
    comentario:
        type: string
        description: Texto que justifica o por que existe uma alteração na validade do programa. Será acrescentado um comentário na amostra com os dados deste comentário.
    validade:
        type: boolean
        description: Determina se a amostra é ou não válida no programa
        required: true
